Index: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationInjector.java
===================================================================
--- tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationInjector.java	(revision 2675)
+++ tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationInjector.java	(revision 2676)
@@ -40,7 +40,7 @@
 	
 	List<Annotation> currentEndAnnotations;
 	
-	LinkedHashMap<String, Annotation> currentTokenAnnotations = new LinkedHashMap<String, Annotation>();
+	LinkedHashMap<String, Annotation> currentTokenAnnotations = new LinkedHashMap<>();
 	
 	int n = 0;
 	
@@ -60,7 +60,7 @@
 	
 	String closeNext = null; // the next close tag to delete
 	
-	ArrayList<String> openedElements = new ArrayList<String>(); // to ensure to
+	ArrayList<String> openedElements = new ArrayList<>(); // to ensure to
 																 // delete the
 																 // right element
 	
@@ -95,8 +95,8 @@
 		factory = XMLInputFactory.newInstance();
 		
 		// preparing annotations to being written in the right inclusion order
-		annotationsToAddByStartPos = new HashMap<Integer, List<Annotation>>();
-		annotationsToAddByEndPos = new HashMap<Integer, List<Annotation>>();
+		annotationsToAddByStartPos = new HashMap<>();
+		annotationsToAddByEndPos = new HashMap<>();
 		
 		for (Annotation a : segmentAnnotations) {
 			if (!annotationsToAddByStartPos.containsKey(a.getStart()))
@@ -163,6 +163,7 @@
 	
 	private boolean mustChangeWordValue;
 	
+	@Override
 	protected void processStartElement() throws XMLStreamException, IOException {
 		
 		currentStartAnnotations = annotationsToAddByStartPos.get(position_counter);
@@ -399,6 +400,7 @@
 		}
 	}
 	
+	@Override
 	protected void processEndElement() throws XMLStreamException {
 		// currentEndAnnotations =
 		// annotationsToAddByEndPos.get(position_counter); // annotation to end
@@ -537,7 +539,7 @@
 	public static ArrayList<Annotation> testAdding() {
 		
 		Annotation a1 = new Annotation("Actr", "Actr100", 15, 16);
-		ArrayList<Annotation> annotations = new ArrayList<Annotation>();
+		ArrayList<Annotation> annotations = new ArrayList<>();
 		annotations.add(a1);
 		return annotations;
 	}
@@ -545,7 +547,7 @@
 	public static ArrayList<Annotation> testAddingInclusive() {
 		
 		Annotation a1 = new Annotation("CoAc", "CoAc2093", 15, 19);
-		ArrayList<Annotation> annotations = new ArrayList<Annotation>();
+		ArrayList<Annotation> annotations = new ArrayList<>();
 		annotations.add(a1);
 		return annotations;
 	}
@@ -553,7 +555,7 @@
 	public static ArrayList<Annotation> testAddingInclusive2() {
 		
 		Annotation a1 = new Annotation("Actr", "Actr100", 15, 16);
-		ArrayList<Annotation> annotations = new ArrayList<Annotation>();
+		ArrayList<Annotation> annotations = new ArrayList<>();
 		annotations.add(a1);
 		return annotations;
 	}
@@ -561,7 +563,7 @@
 	public static ArrayList<Annotation> testUpdating() {
 		
 		Annotation a1 = new Annotation("Actr", "Actr200", 15, 16);
-		ArrayList<Annotation> annotations = new ArrayList<Annotation>();
+		ArrayList<Annotation> annotations = new ArrayList<>();
 		annotations.add(a1);
 		return annotations;
 	}
@@ -569,7 +571,7 @@
 	public static ArrayList<Annotation> testUpdatingDeleting() {
 		Annotation a1 = new Annotation("Actr", "Actr200", 15, 16);
 		Annotation a2 = new Annotation("CoAc", "#del", 15, 19);
-		ArrayList<Annotation> annotations = new ArrayList<Annotation>();
+		ArrayList<Annotation> annotations = new ArrayList<>();
 		annotations.add(a1);
 		annotations.add(a2);
 		return annotations;
@@ -578,7 +580,7 @@
 	public static ArrayList<Annotation> testAddDeleting2() {
 		Annotation a1 = new Annotation("Actr", "#del", 15, 16); // DELETE
 		Annotation a2 = new Annotation("NaPl", "NaPl14554", 15, 19); // ADD
-		ArrayList<Annotation> annotations = new ArrayList<Annotation>();
+		ArrayList<Annotation> annotations = new ArrayList<>();
 		annotations.add(a1);
 		annotations.add(a2);
 		return annotations;
@@ -588,7 +590,7 @@
 		Annotation a1 = new Annotation("Actr", "Actr200", 15, 16); // UPDATE
 		Annotation a2 = new Annotation("NaPl", "NaPl14554", 15, 19); // ADD
 		Annotation a3 = new Annotation("CoAc", "#del", 15, 19);	// DELETE
-		ArrayList<Annotation> annotations = new ArrayList<Annotation>();
+		ArrayList<Annotation> annotations = new ArrayList<>();
 		annotations.add(a1);
 		annotations.add(a2);
 		annotations.add(a3);
@@ -599,7 +601,7 @@
 		Annotation a1 = new Annotation("Actr", "#del", 15, 16); // DELETE
 		Annotation a2 = new Annotation("NaPl", "NaPl14554", 15, 19); // ADD same place as CoAc
 		Annotation a3 = new Annotation("CoAc", "CoAc2091", 15, 19); // UPDATE
-		ArrayList<Annotation> annotations = new ArrayList<Annotation>();
+		ArrayList<Annotation> annotations = new ArrayList<>();
 		annotations.add(a1);
 		annotations.add(a2);
 		annotations.add(a3);
@@ -610,7 +612,7 @@
 		Annotation a1 = new Annotation("Actr", "#del", 15, 16); // DELETE
 		Annotation a2 = new Annotation("NaPl", "NaPl14554", 15, 16); // ADD same place as Actr
 		Annotation a3 = new Annotation("CoAc", "CoAc2091", 15, 19); // UPDATE
-		ArrayList<Annotation> annotations = new ArrayList<Annotation>();
+		ArrayList<Annotation> annotations = new ArrayList<>();
 		annotations.add(a1);
 		annotations.add(a2);
 		annotations.add(a3);
@@ -621,7 +623,7 @@
 		Annotation a1 = new Annotation("Actr", "#del", 15, 16); // DELETE
 		Annotation a2 = new Annotation("NaPl", "NaPl14554", 13, 20); // ADD Outside Actr and CoAc
 		Annotation a3 = new Annotation("CoAc", "CoAc2091", 15, 19); // UPDATE
-		ArrayList<Annotation> annotations = new ArrayList<Annotation>();
+		ArrayList<Annotation> annotations = new ArrayList<>();
 		annotations.add(a1);
 		annotations.add(a2);
 		annotations.add(a3);
@@ -632,7 +634,7 @@
 		Annotation a1 = new Annotation("Actr", "#del", 15, 16); // DELETE
 		Annotation a2 = new Annotation("NaPl", "NaPl14554", 15, 16); // ADD
 		Annotation a3 = new Annotation("CoAc", "#del", 15, 19); // DELETE
-		ArrayList<Annotation> annotations = new ArrayList<Annotation>();
+		ArrayList<Annotation> annotations = new ArrayList<>();
 		annotations.add(a1);
 		annotations.add(a2);
 		annotations.add(a3);
@@ -644,7 +646,7 @@
 		Annotation a2 = new Annotation("NaPl", "NaPl14554", 15, 16); // ADD
 		Annotation a3 = new Annotation("CoAc", "#del", 15, 19); // DELETE
 		Annotation a4 = new Annotation("CoAc", "CoAc1", 15, 18); // DELETE
-		ArrayList<Annotation> annotations = new ArrayList<Annotation>();
+		ArrayList<Annotation> annotations = new ArrayList<>();
 		annotations.add(a1);
 		annotations.add(a2);
 		annotations.add(a3);
@@ -655,7 +657,7 @@
 	public static ArrayList<Annotation> testUpdatingInclusive() {
 		Annotation a1 = new Annotation("Actr", "Actr200", 15, 16);
 		Annotation a2 = new Annotation("CoAc", "CoAc321", 15, 19);
-		ArrayList<Annotation> annotations = new ArrayList<Annotation>();
+		ArrayList<Annotation> annotations = new ArrayList<>();
 		annotations.add(a1);
 		annotations.add(a2);
 		return annotations;
@@ -664,7 +666,7 @@
 	public static ArrayList<Annotation> testDeleting() {
 		
 		Annotation a1 = new Annotation("Actr", "#del", 15, 16);
-		ArrayList<Annotation> annotations = new ArrayList<Annotation>();
+		ArrayList<Annotation> annotations = new ArrayList<>();
 		annotations.add(a1);
 		return annotations;
 	}
@@ -673,7 +675,7 @@
 		
 		Annotation a1 = new Annotation("Actr", "#del", 15, 16);
 		Annotation a2 = new Annotation("CoAc", "#del", 15, 16);
-		ArrayList<Annotation> annotations = new ArrayList<Annotation>();
+		ArrayList<Annotation> annotations = new ArrayList<>();
 		annotations.add(a1);
 		annotations.add(a2);
 		return annotations;
@@ -833,10 +835,10 @@
 	
 	public static void main(String[] args) {
 		try {
-			File xmlFile = new File("/home/mdecorde/TXM-0.8.0-dev/corpora/XMLLINEBREAK/txm/XMLLINEBREAK/test.xml");
-			File outfile = new File("/home/mdecorde/TXM-0.8.0-dev/corpora/XMLLINEBREAK/txm/XMLLINEBREAK/test-out.xml");
+			File xmlFile = new File(System.getProperty("user.home"), "TXM-0.8.0-dev/corpora/XMLLINEBREAK/txm/XMLLINEBREAK/test.xml");
+			File outfile = new File(System.getProperty("user.home"), "TXM-0.8.0-dev/corpora/XMLLINEBREAK/txm/XMLLINEBREAK/test-out.xml");
 			
-			ArrayList<Annotation> segmentAnnotations = new ArrayList<Annotation>();
+			ArrayList<Annotation> segmentAnnotations = new ArrayList<>();
 			// int starts[] = { 3, 6 };
 			// int ends[] = { 5, 8 };
 			// for (int i = 0; i < starts.length; i++) {
@@ -844,7 +846,7 @@
 			// segmentAnnotations.add(new Annotation("DEUX", "deux", starts[i], ends[i]));
 			// }
 			
-			ArrayList<Annotation> tokenAnnotations = new ArrayList<Annotation>();
+			ArrayList<Annotation> tokenAnnotations = new ArrayList<>();
 			int positions[] = { 1, 2 };
 			int n = 1;
 			for (int p : positions) {
